Update initiative
curl --request PATCH \
--url https://atollhq.com/api/orgs/{id}/initiatives/{initiativeId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"name": "<string>",
"description": "<string>",
"goal_id": "<string>",
"goalId": "<string>",
"owner_id": "<string>",
"ownerId": "<string>",
"target_date": "2023-12-25",
"targetDate": "2023-12-25",
"project_id": "<string>",
"projectId": "<string>"
}
'import requests
url = "https://atollhq.com/api/orgs/{id}/initiatives/{initiativeId}"
payload = {
"title": "<string>",
"name": "<string>",
"description": "<string>",
"goal_id": "<string>",
"goalId": "<string>",
"owner_id": "<string>",
"ownerId": "<string>",
"target_date": "2023-12-25",
"targetDate": "2023-12-25",
"project_id": "<string>",
"projectId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
name: '<string>',
description: '<string>',
goal_id: '<string>',
goalId: '<string>',
owner_id: '<string>',
ownerId: '<string>',
target_date: '2023-12-25',
targetDate: '2023-12-25',
project_id: '<string>',
projectId: '<string>'
})
};
fetch('https://atollhq.com/api/orgs/{id}/initiatives/{initiativeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}Strategy
Update initiative
Updates an initiative when the caller has edit/admin access to every project in its authoritative explicit and direct issue/milestone-inferred scope. Projectless initiatives require an organization owner/admin. A readable initiative with insufficient write access returns 403.
PATCH
/
api
/
orgs
/
{id}
/
initiatives
/
{initiativeId}
Update initiative
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Legacy alias accepted on create. Atoll stores title and name in sync.
Alias for goal_id accepted on create.
Alias for owner_id accepted on create.
Available options:
proposed, active, completed, paused, cancelled Alias for target_date accepted on create.
Initial project link for project-scoped initiative creation. Required for guests.
Alias for project_id accepted on create.
Response
Successful response
The response is of type object.
⌘I

